package org.apache.bcel.generic;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.bcel.generic.ConstantPoolGen;
import org.apache.bcel.generic.Instruction;
import org.apache.bcel.generic.PushInstruction;
import org.apache.bcel.generic.Type;
import org.apache.bcel.generic.TypedInstruction;
import org.apache.bcel.generic.Visitor;

public class ACONST_NULL extends Instruction implements PushInstruction, TypedInstruction {
  public ACONST_NULL() {
    super((short)1, (short)1);
  }
  
  public void accept(Visitor v) {
    v.visitStackProducer(this);
    v.visitPushInstruction(this);
    v.visitTypedInstruction(this);
    v.visitACONST_NULL(this);
  }
  
  public Type getType(ConstantPoolGen cp) {
    return Type.NULL;
  }
}
